package game.locations.basementElevator;

import openfl.display.Bitmap;
import openfl.Assets;

import game.locations.Location;
import game.locations.Interactive;

class BasementElevator extends Location {
  var inside: Interactive;

  public function new() {
    super();

    id = 'basementElevator';

    addBmpLayer('bg');

    inside = new Interactive(game.locations.elevatorBack.ElevatorBack);
    inside.addChild(new Bitmap(Assets.getBitmapData(bmpPath('inside'))));
    inside.x = 128;
    inside.y = 56;
    addChild(inside);

    addBmpLayer('frame');

    var button: Interactive = new Interactive('sound/elevator/button.ogg');
    button.addChild(new Bitmap(Assets.getBitmapData(bmpPath('button'))));
    button.x = 206;
    button.y = 91;
    addChild(button);

    downLocation = game.locations.entrance.Entrance;
  }

}
